Subject: bug#33697: 26.1; file-truename messes with match data

From: Kévin Le Gouguec <[email-masked]>
Date: Tue, 11 Dec 2018 20:59:44 +0100

My bad, I assumed this would be a no-brainer and did not bother to
search the bug database.  I will be more diligent next time.

I would argue that this is different, since my code does not explicitly
call string-match; however bug#31586 seems to consider the bigger
picture, so I guess it makes more sense to focus on that one.

Thank you for pointing me towards this discussion!